> For the complete documentation index, see [llms.txt](https://developers.gormic.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.gormic.com/api-reference/order-management/payment-methods.md).

# Payment Methods

## GET /v1/om/payment-methods

> Lists all payment methods.

```json
{"openapi":"3.0.0","info":{"title":"Gormic Order Management & POS API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"GetPaymentMethodsApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/GetPaymentMethods_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"GetPaymentMethods_Data":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/PaymentMethodMap"}}},"required":["items"]},"PaymentMethodMap":{"type":"object","properties":{"locales":{"$ref":"#/components/schemas/__type_174bf132"},"visible":{"type":"boolean"},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"id":{"type":"string"}},"required":["locales","visible","id"]},"__type_174bf132":{"type":"object","properties":{"ar":{"$ref":"#/components/schemas/__type_174bf132_Ar"},"en":{"$ref":"#/components/schemas/__type_174bf132_En"}},"required":["ar","en"]},"__type_174bf132_Ar":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true}},"required":["name"]},"__type_174bf132_En":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true}},"required":["name"]}}},"paths":{"/v1/om/payment-methods":{"get":{"operationId":"PaymentMethods_list","parameters":[{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetPaymentMethodsApiResponse"}}}}},"summary":"Lists all payment methods.","tags":["Payment Methods"]}}}}
```

## GET /v1/om/payment-methods/{uid}

> Returns a payment method.

```json
{"openapi":"3.0.0","info":{"title":"Gormic Order Management & POS API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"GetPaymentMethodApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/GetPaymentMethod_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"GetPaymentMethod_Data":{"type":"object","properties":{"item":{"$ref":"#/components/schemas/GetPaymentMethod_Data_Item"}},"required":["item"]},"GetPaymentMethod_Data_Item":{"type":"object","properties":{"locales":{"$ref":"#/components/schemas/__type_174bf132"},"visible":{"type":"boolean"},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"id":{"type":"string"}},"required":["locales","visible","id"]},"__type_174bf132":{"type":"object","properties":{"ar":{"$ref":"#/components/schemas/__type_174bf132_Ar"},"en":{"$ref":"#/components/schemas/__type_174bf132_En"}},"required":["ar","en"]},"__type_174bf132_Ar":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true}},"required":["name"]},"__type_174bf132_En":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true}},"required":["name"]},"GetPaymentMethodApiError":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/GetPaymentMethod_Error"}},"required":["error"]},"GetPaymentMethod_Error":{"type":"object","properties":{"code":{"allOf":[{"$ref":"#/components/schemas/GetPaymentMethod_ErrorCodes_enum"}]}},"required":["code"]},"GetPaymentMethod_ErrorCodes_enum":{"type":"string","enum":["NotFound"]}}},"paths":{"/v1/om/payment-methods/{uid}":{"get":{"operationId":"PaymentMethods_get","parameters":[{"name":"uid","required":true,"in":"path","schema":{"type":"string"}},{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetPaymentMethodApiResponse"}}}},"400":{"description":"Functional Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetPaymentMethodApiError"}}}}},"summary":"Returns a payment method.","tags":["Payment Methods"]}}}}
```

## GET /v1/om/payment-methods/export

> Exports all orders with support for incremental fetching.

```json
{"openapi":"3.0.0","info":{"title":"Gormic Order Management & POS API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}}},"paths":{"/v1/om/payment-methods/export":{"get":{"operationId":"PaymentMethods_export","parameters":[{"name":"updatedSince","required":false,"in":"query","schema":{"type":"string"}},{"name":"offset","required":false,"in":"query","schema":{"type":"string"}},{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object"}}}}},"summary":"Exports all orders with support for incremental fetching.","tags":["Payment Methods"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.gormic.com/api-reference/order-management/payment-methods.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
